Bug 32922 - ports/devel/bin86 won't build with umask 027
Summary: ports/devel/bin86 won't build with umask 027
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Trevor Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-12-17 05:20 UTC by Gary W. Swearingen
Modified: 2002-04-14 04:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary W. Swearingen 2001-12-17 05:20:00 UTC
ports/devel/bin86 won't build with umask 027, but it will with umask
022.  Ports should build with umask settings no less safe than 022, not
only 022.  (They shouldn't warn about it, either.)

The "make" error message was:

install -c -s -o root -g wheel -m 555 `find /usr/ports/devel/bin86/work/bin86-0.16.0 -type f -perm 755 |grep -v encap`  /usr/local/bin
usage: install [-bCcpSsv] [-B suffix] [-f flags] [-g group] [-m mode]
               [-o owner] file1 file2
       install [-bCcpSsv] [-B suffix] [-f flags] [-g group] [-m mode]
               [-o owner] file1 ... fileN directory
       install -d [-v] [-g group] [-m mode] [-o owner] directory ...
*** Error code 64

================

Fix: 

Unknown.
How-To-Repeat: 
I did "umask 027; portupgrade bin86; umask 022; portupgrade bin86".

================
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2001-12-20 18:43:14 UTC
Responsible Changed
From-To: freebsd-ports->trevor

Over to maintainer
Comment 2 Trevor Johnson freebsd_committer 2002-04-14 04:13:27 UTC
State Changed
From-To: open->closed

fixed--thanks